%set of colors
colors = [[74 105 222]
[72 144 56]
[203 60 40]
[170 78 29]
[155 183 53]
[139 91 215]
[93 195 86]
[203 108 226]
[163 57 164]
[208 174 51]
[115 81 173]
[226 142 48]
[88 139 231]
[231 103 47]
[66 192 199]
[88 192 147]
[235 56 130]
[54 129 91]
[226 98 196]
[152 179 107]
[228 79 148]
[92 112 43]
[176 130 220]
[142 133 42]
[191 70 145]
[201 177 95]
[75 100 169]
[177 122 46]
[83 160 211]
[183 44 59]
[153 152 219]
[230 86 93]
[133 85 149]
[214 157 109]
[229 148 209]
[135 97 46]
[221 56 101]
[182 113 162]
[231 131 95]
[146 72 105]
[172 83 61]
[172 50 96]
[226 139 135]
[168 84 87]
[229 123 152]];
rgb_colors = colors/255;
%COMMAND_IDS
ID_SetPWD = 1;
ID_GetXTEAKey = 2;
ID_SetMfgId = 3;
ID_GetMfgId = 4;
ID_SetChannelCfg = 5;
ID_GetChannelCfg = 6;
ID_SetCalibration = 7;
ID_GetCalibration = 8;
ID_SetNetwork = 9;
ID_GetNetwork = 10;
ID_SetTLMEndPoint = 11;
ID_GetTLMEndpoint = 12;
ID_GetSamplingCapabilities = 13;
ID_SetACQParam = 14;
ID_GetACQParam = 15;
ID_SetCloudParam = 16;
ID_GetCloudParam = 17;
ID_SetComParam = 18;
ID_GetComParam = 19;
ID_StartTLM = 20;
ID_RebootDevice = 21;
ID_ClearEEPROM = 22;
ID_GetConsoleDebug = 23;
ID_GetFirmwareVersionInfo = 24;
ID_PrepareBTLCode = 25;
ID_SendBTLCode = 26;
ID_VerifyBTLCode = 27;
ID_EraseAppCode = 28;
ID_SendAppCode = 29;
ID_VerifyAppCode = 30;
ID_SetDO = 31;
ID_GetDIDO = 32;
ID_CmdReply = 254;
ID_ErrorReplyStr = 255;
TLM_PACKET_SIZE = 967;